package com.diagbot.idc;

import java.util.List;

/**
 * @Description: ID生成接口
 * @author: gaodm
 * @time: 2018/9/5 9:21
 */
public interface IdCreater<T> {

    /**
     * 生成一个id
     * @return 生成的id
     */
    Long getNextId(T param);

    /**
     * 批量生成id
     * @param size 生成数量
     * @return 生成的id列表
     */
    List<Long> getNextIds(T param, int size);
}
